Avro C++

avro::codec_traits< T > Struct Template Reference

Codec_traits tells avro how to encode and decode an object of given type. More...

`#include <Specific.hh>`

## Detailed Description

### template<typename T>
struct avro::codec_traits< T >

Codec_traits tells avro how to encode and decode an object of given type.

The class is expected to have two static methods:

- static void encode(Encoder& e, const T& value);
- static void decode(Decoder& e, T& value); The default is empty.

The documentation for this struct was generated from the following file:

- api/Generic.hh